#!/usr/bin/awk -f

# hd_hc.awk
# Differential histogram -> cumulative histogram.
# Miroslav Broz (miroslav.broz@email.cz), Feb 15th 2012

BEGIN{
  extra = 0;
  print "# D [km] & N(>D)";
}
!/^#/ && (NF>0){
# save differential histogram
  i++;
  D1[i] = $1;
  D2[i] = $2; 
  dN[i] = $3;
}
END{
  n=i;
  N_gt_D = 0;

  for (i=n; i>=1; i--) {

    N_gt_D = N_gt_D + dN[i];
#    D = D1[i];
    D = D1[i];
#    D = 0.5*(D1[i]+D2[i]);

    print D, N_gt_D;
  }
}


